<?php

declare(strict_types=1);

namespace App\SuperAdmin\Domain\Exception;

use App\SuperAdmin\Domain\Model\SuperAdmin\SuperAdminId;
use DomainException;

use function sprintf;

final class SuperAdminNonActifException extends DomainException
{
    public static function pourConnexion(SuperAdminId $id): self
    {
        return new self(
            sprintf('Le Super Admin %s ne peut pas se connecter car son compte est inactif.', $id),
        );
    }

    public static function pourDesactivation(SuperAdminId $id): self
    {
        return new self(
            sprintf('Le Super Admin %s est déjà inactif.', $id),
        );
    }
}
